import 'package:b_generator/src/bloc_generator.dart';
import 'package:b_generator/src/event_generator.dart';
import 'package:b_generator/src/state_generator.dart';
import 'package:build/build.dart';
import 'package:source_gen/source_gen.dart';

Builder bloc(BuilderOptions options) => PartBuilder([BlocGenerator()], '.g.bloc.dart');

Builder event(BuilderOptions options) => PartBuilder([EventGenerator()], '.g.event.dart');

Builder state(BuilderOptions options) => PartBuilder([StateGenerator()], '.g.state.dart');
