import 'package:analyzer/dart/element/element.dart';

String parameterSignature(final Iterable<VariableElement> parameters) {
  return parameters.map((e) => 'final ${e.type.getDisplayString(withNullability: false)} ${e.name}').join(', ');
}

String parameterCall(final Iterable<VariableElement> parameters) {
  return parameters.map((e) => e.name).join(', ');
}
