import 'package:analyzer/dart/element/element.dart';
import 'package:analyzer/dart/element/visitor.dart';

class FieldVisitor extends SimpleElementVisitor<void> {
  final bool Function(FieldElement method) addMethod;

  FieldVisitor(this.addMethod);

  @override
  void visitFieldElement(FieldElement element) {
    this.addMethod(element);
  }
}
